## libedit-2.9.cvs.20050518.tar.bz2

=== libedit-20050518/readline/Makefile ===
#	$NetBSD: Makefile,v 1.7 2003/08/03 09:23:15 lukem Exp $	

NOOBJ=		# defined

.include <bsd.own.mk>

.PATH:	${NETBSDSRCDIR}/lib/libedit

INCS=		readline.h
INCSDIR=	/usr/include/readline
INCSYMLINKS=	readline.h ${INCSDIR}/history.h

incinstall:: linksinstall

.include <bsd.prog.mk>
