=== debian/changelog ===
libedit (2.9.cvs.20050518-3) unstable; urgency=low

  * New maintainer.
  * ACKed NMU. Closes: #318843.
  * Standards-Version: 3.7.2.
  * libedit2: added dependency on ${misc:Depends}.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 07 Feb 2007 10:20:20 +1100

libedit (2.9.cvs.20050518-2.2) unstable; urgency=low

  * NMU
  * Unfortunately, rl_completion_matches have to be exported.

 -- Piotr Roszatycki <dexter@debian.org>  Mon,  1 Aug 2005 19:05:13 +0200

libedit (2.9.cvs.20050518-2.1) unstable; urgency=low

  * NMU
  * Export completion_matches function. Closes: #318843.

 -- Piotr Roszatycki <dexter@debian.org>  Mon,  1 Aug 2005 16:59:48 +0200

libedit (2.9.cvs.20050518-2) unstable; urgency=low

  * Workaround for wrong permissions in source (closes: #309843)

 -- Pawel Wiecek <coven@debian.org>  Fri, 20 May 2005 12:15:12 +0200

libedit (2.9.cvs.20050518-1) unstable; urgency=low

  * Updated sources from CVS (closes: #286356)

 -- Pawel Wiecek <coven@debian.org>  Wed, 18 May 2005 23:36:58 +0200

libedit (2.9.cvs.20040827-1) unstable; urgency=low

  * Updated sources from CVS (closes: #254031, #263421)

 -- Pawel Wiecek <coven@debian.org>  Tue, 31 Aug 2004 00:06:38 +0200

libedit (2.6.cvs.20020109-7) unstable; urgency=low

  * Applied patch from Robert Millan <rmh@debian.org> to fix some issues on
    GNU/k*BSD ports (closes: #227123)

 -- Pawel Wiecek <coven@debian.org>  Fri, 16 Jan 2004 16:45:42 +0100

libedit (2.6.cvs.20020109-6) unstable; urgency=low

  * Finally applied the right way to workaround mips building problems (thanks
    to Colin Watson and Steve Langasek) (closes: #213100)
  * Updated standards version (no changes needed)

 -- Pawel Wiecek <coven@debian.org>  Thu,  2 Oct 2003 21:32:09 +0200

libedit (2.6.cvs.20020109-5) unstable; urgency=low

  * Made patches from 2.6.cvs.20020109-4 really work (closes: #207448)

 -- Pawel Wiecek <coven@debian.org>  Wed, 27 Aug 2003 19:45:28 +0200

libedit (2.6.cvs.20020109-4) unstable; urgency=low

  * Applied patch from Ben Burton <bab@debian.org> to fix the problem with
    typing tab characters (closes: #169804, #169813, #196326)
  * Updated standards version
  * Updated package sections (moved libedit2-dev to libdevel)
  * Fixed 05-readline-Makefile-mipseb.dpatch (closes: #188669)

 -- Pawel Wiecek <coven@debian.org>  Wed, 18 Jun 2003 13:13:54 +0200

libedit (2.6.cvs.20020109-3) unstable; urgency=low

  * Finally a maintainer release (closes: #166125)
  * Updated the copyright file (closes: #188404)
  * Updated standards version

 -- Pawel Wiecek <coven@debian.org>  Fri, 25 Apr 2003 15:38:01 +0200

libedit (2.6.cvs.20020109-2.1) unstable; urgency=low

  * NMU
  * Patched fgetln() to behave correctly on error, thus fixing a
    read_history() bug that caused infinite memory consumption
    (closes: #166125)

 -- Ben Burton <bab@debian.org>  Fri, 31 Jan 2003 01:43:29 +1100

libedit (2.6.cvs.20020109-2) unstable; urgency=low

  * Added patch to correctly build on mips (closes: #135333)

 -- Pawel Wiecek <coven@debian.org>  Wed, 27 Feb 2002 14:42:46 +0100

libedit (2.6.cvs.20020109-1) unstable; urgency=low

  * Updated sources from CVS (closes: #122636)

 -- Pawel Wiecek <coven@debian.org>  Wed,  9 Jan 2002 10:58:25 +0100

libedit (2.6.cvs.20011104-2) unstable; urgency=low

  * New maintainer (closes: #120652)

 -- Pawel Wiecek <coven@debian.org>  Fri, 23 Nov 2001 13:49:44 +0100

libedit (2.6.cvs.20011104-1) unstable; urgency=low

  * New upstream version
  * debian/patches/03-el.c-MAXPATHLEN.dpatch: ported to new snapshot
  * debian/patches/02-el.c-issetugid.dpatch: likewise
  * debian/rules: bumped version
  * debian/libedit2.files: moved from 2.5 to 2.6

 -- Gergely Nagy <algernon@debian.org>  Sun,  4 Nov 2001 02:44:43 +0100

libedit (2.5.cvs.20010821-7) unstable; urgency=low

  * The `Someone teach me C' release
  * debian/patches/03-el.c-MAXPATHLEN.dpatch: Fixed the patch, so the
  MAXPATHLEN and non-MAXPATHLEN cases don't mix (what a silly typo!).
  This way, there won't be any segfault. (Closes: #111819)
  * debian/rules (PMAKE_ARGS): added -lcurses to LDADD (Closes: #111821)
  * debian/patches/04-readline.h-stdio.dpatch: new patch, which adds an
    #include <stdio.h> to readline.h
  * debian/patches/00list: added the new patch (Closes: #111820)

 -- Gergely Nagy <algernon@debian.org>  Tue, 11 Sep 2001 13:57:36 +0200

libedit (2.5.cvs.20010821-6) unstable; urgency=low

  * debian/rules (cvs-update): okay, this time it actually works
  * debian/control: versioned dependency on fixed pmake, thanks Steve!
  * debian/scripts/ld-hack.sh: removed, since new pmake solves some
    of our problems
  * debian/rules: removed some of the pmake workarounds, added others

 -- Gergely Nagy <algernon@debian.org>  Sun,  9 Sep 2001 04:03:47 +0200

libedit (2.5.cvs.20010821-5) unstable; urgency=low

  * debian/control: priority set to optional, as per the request of
  Ben Burton <benb@acm.org>.
  * debian/scripts/ld-hack.sh: wrapper around gcc to fool pmake
  * debian/rules: use ld-hack.sh and an appropriate SHLIB_SHFLAGS
  to work around pmake, which tries to link with ld instead of gcc.
  This fixes the build problem on at least hppa.

 -- Gergely Nagy <algernon@debian.org>  Wed,  5 Sep 2001 15:08:59 +0200

libedit (2.5.cvs.20010821-4) unstable; urgency=low

  * Added bsdmainutils to the build-depends (Closes: #111041)

 -- Gergely Nagy <algernon@debian.org>  Mon,  3 Sep 2001 18:53:44 +0200

libedit (2.5.cvs.20010821-3) unstable; urgency=low

  * debian/rules (unpatch): use sort -r instead of tac
  (glibc-compat, libedit-${DATE}): superceded by new cvs-update
  (cvs-update): completely rewrote, more robust and elegant
  * debian/patches/03-el.c-MAXPATHLEN.dpatch: on systems without
  MAXPATHLEN, allocate memory dynamicaly. This fixes the build on
  the Hurd.
  * glibc-bsd-compat/bsd-compat.h: Added #include <sys/ioctl.h>
  to eliminate XTABS redefinition in libedit-20010821/tty.h


