=== debian/control ===
Source: libedit
Section: libs
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: pmake (>= 1.45-8), patch, groff-base, debhelper (>= 2.0.40), libncurses5-dev, bsdmainutils
Standards-Version: 3.7.2

Package: libedit2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BSD editline and history libraries
 The editline library provides generic line editing and
 history functions.
 .
 It slightly resembles GNU readline

Package: libedit-dev
Section: libdevel
Architecture: any
Depends: libedit2 (= ${Source-Version}), libncurses5-dev
Description: BSD editline and history libraries (development files)
 The editline library provides generic line editing and
 history functions.
 .
 It slightly resembles GNU readline
